/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


/*default bootsrap font*/
body {
	font-family: "Helvetica Neue", sans-serif;
}



/*The following are the line of codes on BOOTSTRAP but the following are the longer version in CSS*/
.text-center {
	text-align: center;
}


.bg-primary {
	background-color: dodgerblue ;
}


.bg-secondary {
	background-color: lightslategray;
}


.text-light {
	color: white;
}


.border {
	border: 1px solid gray;
}


.border-dark {
	border-color: black;
}


.pt-3 {
	padding-top: 20px;
}


.pb-3 {
	padding-bottom: 20px;
}

/*Bootsrap Grid Classes*/
.row {
	/*The flex value will change the element into a block level flex container
	This will allow the element inside it to occupy space enough for its content*/
	display: flex;


	/*Prevents the elements to exceed or over flow from the width of the screen
	Pushes the next element in the next line*/
	flex-wrap: wrap;
}

/*Bootsrap has a max column of 12  (* means multiply)*/
/*don't forget PEMDAS*/

.col-l {
	width: calc((100%/12)*1);
}

.col-2 {
	width: calc((100%/12)*2);
} 

.col-3 {
	width: calc((100%/12)*3);
} 

.col-4 {
	width: calc((100%/12)*4);
} 

.col-5 {
	width: calc((100%/12)*5);
} 

.col-6 {
	width: calc((100%/12)*6);
} 

.col-7 {
	width: calc((100%/12)*7);
} 

.col-8 {
	width: calc((100%/12)*8);
} 

.col-9 {
	width: calc((100%/12)*9);
} 

.col-10 {
	width: calc((100%/12)*10);
} 

.col-11 {
	width: calc((100%/12)*11);
} 

.col-12 {
	width: calc((100%/12)*12);
} 

/*Media Query*/
/*ONLY works for CSS */
/*Let's use Mobile First Approach*/
/*Let's set the BODY color according to the viewport*/
/*VIEWPORT size has a specific value nothing more nothing less*/
/*Small Device Viewport*/
@media (min-width: 576px) {
	body {
		background-color: lightyellow;
	}
}

/*Medium Device Viewport*/
@media (min-width: 769px) {
	body {
		background-color: Lightgreen;
	}
}

/*Large Device Viewport*/
@media (min-width: 992px) {
	body {
		background-color: lightblue;
	}
}		